<?php 

if(!defined('ABSPATH')) exit;

/**
 * Class to manage addon configuration
 */
class Firstdata_Settings extends WC_Settings_Page {

	public $id;
	
	/**
	 * Register hooks
	 */
	public function __construct() {
		$this->id = 'firstdata_settings';
		$this->label = __('Polcard Gateway', 'firstdata');

		add_filter('woocommerce_settings_tabs_array', array($this, 'add_settings_page'), 20);
		add_action('woocommerce_settings_' . $this->id, array($this, 'output'));
		add_action('woocommerce_settings_save_' . $this->id, array($this, 'save'));
	}

	/**
	 * Hook = function to print configuration form in admin menu
	 */
	public function output() {
		$settings = $this->get_settings();
		WC_Admin_Settings::output_fields($settings);
		$img_uri = plugin_dir_url(__FILE__) . '../img';
		$token = wp_create_nonce('firstdata_nonce');
	}

	/**
	 * Hook - save values
	 */
	public function save() {
		$settings = $this->get_settings();
		WC_Admin_Settings::save_fields($settings);
	}

	/**
	 * Definition of addon configuration fields
	 */
	public function get_settings() {
		$settings = array(
		    array('title' => __('API access', 'firstdata'), 'type' => 'title', 'desc' => '', 'id' => 'api_options'),
		    array(
		        'title' => __('POS ID', 'firstdata'),
		        'id' => 'firstdata_pos_id',
		        'css' => 'min-width:300px;',
		        'default' => '',
		        'type' => 'text',
		        'custom_attributes' => array('required' => 'required')
		    ),
		    array(
		        'title' => __('Shared key', 'firstdata'),
		        'id' => 'firstdata_key',
		        'css' => 'min-width:300px;',
		        'default' => '',
		        'type' => 'text',
		        'custom_attributes' => array('required' => 'required')
		    ),
		    array('type' => 'sectionend', 'id' => 'api_options'),
		);
		
		return $settings;
	}	
	
}

?>